職缺互動

GET /me/timeline 工作階段或 API 金鑰

您的應徵在某個日期範圍內發生了什麼情況。

應徵事件分類帳是一個有日期的系列,最舊的在前:應徵發送、雇主回覆、後續行動和階段變更。 occurred_at 是一個瞬間,而不是一天 - 它屬於哪一天取決於您的時區,因此請在客戶端對其進行分組。 observed 說明該日期是否來自您以外的來源:郵件衍生事件帶有雇主設定的日期,而您自己設定的階段則從您紀錄它時開始。 email_idemail_subject僅在訊息存在時才存在;刪除它會隱藏內容並使事件保持不變。這兩個界限都是必需的,並且最多可以跨越 366 天。

查詢參數

from string (RFC3339) 必填
下限,包含在內。使用 Z,或對數字偏移量進行百分比編碼 - 裸露的 + 解碼為查詢字串中的空格,並將被拒絕。範例 2026-08-01T00:00:00Z
to string (RFC3339) 必填
上限,包含在內。範例 2026-08-31T23:59:59Z
curl
curl "https://freehire.me/api/v1/me/timeline?from=2026-08-01T00:00:00Z&to=2026-08-31T23:59:59Z" -H "Authorization: Bearer $FREEHIRE_API_KEY"
json — response
{
  "data": [
    {
      "id": 7,
      "kind": "employer_reply",
      "signal": "interview_invitation",
      "source": "mail_gmail",
      "observed": true,
      "occurred_at": "2026-08-13T09:41:00Z",
      "company_slug": "derq",
      "role_title": "Senior Go Engineer",
      "application_id": 31,
      "job_slug": "senior-go-engineer-derq-1a2b",
      "email_id": 42,
      "email_subject": "Invitation to interview"
    },
    {
      "id": 8,
      "kind": "stage_set",
      "signal": "screening",
      "source": "user",
      "observed": false,
      "occurred_at": "2026-08-13T21:15:00Z",
      "company_slug": "linear",
      "application_id": 33
    }
  ],
  "meta": { "from": "2026-08-01T00:00:00Z", "to": "2026-08-31T23:59:59Z", "count": 2 }
}

要針對這個職缺調整履歷嗎?

目前無法檢查您與這個職缺的符合程度;請先將履歷加入個人檔案,下次即可查看。

A new version of freehire is available